function x=Remove_BG(names,PathName)
%% Calculate Background

%-------------------------------------------------------------------------%
% Programmed by: Mozhdeh Seifi - Laboratoire Hubert Curien 
%                               http://laboratoirehubertcurien.fr/
% 
% Contact : corinne.fournier@univ_st_etienne.fr
% May 2012
%-------------------------------------------------------------------------%
% License owner: Mozhdeh Seifi, Corinne Fournier, Loic Denis
%
% This work is licensed under a Creative Commons Attribution 
% Non-Commercial No Derivatives 3.0 France license. In essence, 
% you are free to copy and communicate the work in its current form
% for non-commercial purposes, as long as you attribute the authors
% and abide by the license terms.
% You may not alter or adapt the work in any way.
%
% To view a copy of this license, visit
% http://creativecommons.org/licenses/by-nc-nd/3.0/
%-------------------------------------------------------------------------%

load path_data.mat
%% Set the number of the holograms
Num_holos=size(names,2);

%%
I=0; % the initialization of the background


tic
for i=1:Num_holos
    fprintf('Calculate BG using image Number %g\n',i)
    % considering the holograms are called 'a (0).tif' to 'a (Num_holos-1).tif' : 
    a=double(imread(strcat(PathName,char(names(1,i)))));
    I=I+a;
end

I=I/(Num_holos);
toc
save(strcat(path_data,'MEAN_video_manual.mat'),'I');

%% Remove the background of the holograms and make the video of the holograms
I=struct2cell(load(strcat(path_data,'MEAN_video_manual.mat')));
I=I{1,1};

holo=zeros(size(I,1),size(I,2),Num_holos);

for i=1:Num_holos
    fprintf('Remove BG from image Number %g\n',i)
    a=double(imread(strcat(PathName,char(names(1,i)))));
    holo(:,:,i)=a-I; 
end

%% save the background and the video of the holograms
save(strcat(path_data,'MEAN_video_manual.mat'),'I');
tic
fprintf('Saving the video ... ')
save(strcat(path_data,'hologram_video_manual.mat'),'holo','-v7.3');
toc
x=1;
end